#include <stdio.h>

int stringLength(const char* str) {
    int result = 0;

    while (str[result] != '\0') {
        ++result;
    }

    return result;
}

void swap(char* v1, char* v2) {
    char temp = *v1;
    *v1 = *v2;
    *v2 = temp;
}

void reverseString(char* str) {
    int length = stringLength(str);
    int halfLength = length / 2;

    for (int charId = 0; charId < halfLength; ++charId) {
        swap(&str[charId], &str[length - charId - 1]);
    }
}

int main() {
    char msg[] = "Votre message";
    printf("Initial value: \"%s\"\n", msg);
    reverseString(msg);
    printf("Reversed     : \"%s\"\n", msg);
}
